Skip to main content
GET
/
tds
/
calculator
/
salary
Fetch TDS Calculation Status
curl --request GET \
  --url https://test-api.sandbox.co.in/tds/calculator/salary \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://test-api.sandbox.co.in/tds/calculator/salary"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://test-api.sandbox.co.in/tds/calculator/salary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "timestamp": 1685577600000,
  "transaction_id": "b36ba46e-9a58-470b-a6c1-4f36895dee7e",
  "data": {
    "@entity": "in.co.sandbox.tds.calculator.salary_details.job",
    "financial_year": "FY 2024-25",
    "job_id": "dba3e961-0602-4d20-a8ec-e4e21ac8dcac",
    "status": "succeeded",
    "created_at": 1726487871000,
    "updated_at": 1726487881000,
    "tds_on_salary_workbook_url": "https://in-co-sandbox-tds-calculator-salary-test.s3.ap-south-1.amazonaws.com/financial_year/c90c51a4-12c9-4795-8b46-4de0cb119947.xlsx"
  }
}

Headers

authorization
string
required

JWT access token

x-api-key
string
required
x-api-version
string

Query Parameters

job_id
string
required

Unique identifier of a job

Response

200 - application/json

200 - OK

code
integer
timestamp
integer
transaction_id
string
data
object